## neutron-lbaas-dashboard 2.0.0

=== debian/changelog ===
neutron-lbaas-dashboard (2.0.0-0ubuntu1) zesty; urgency=medium

  * New upstream release.
  

 -- Chuck Short <zulcss@ubuntu.com>  Thu, 09 Mar 2017 11:08:18 -0500

neutron-lbaas-dashboard (1.0.0-0ubuntu1) zesty; urgency=medium

  * Initial release.
  * d/*: Various updates for initial release.

 -- Corey Bryant <corey.bryant@canonical.com>  Thu, 26 Jan 2017 10:32:28 -0500

=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/openstack-pkg-tools/pkgos.make

%:
	dh $@ --buildsystem=python_distutils --with python2

override_dh_auto_test:
ifeq (,$(filter nocheck,$(DEB_BUILD_OPTIONS)))
	PYTHONPATH=$(CURDIR) \
		TEMPLATE_CONTEXT_PROCESSORS=None \
		NOSE_WITH_OPENSTACK=1 \
		NOSE_OPENSTACK_COLOR=1 \
		NOSE_OPENSTACK_RED=0.05 \
		NOSE_OPENSTACK_YELLOW=0.025 \
		DJANGO_SETTINGS_MODULE=neutron_lbaas_dashboard.tests.settings \
		python $(CURDIR)/manage.py test
endif

override_dh_clean:
	dh_clean -O--buildsystem=python_distutils
	rm -rf .coverage*

override_dh_auto_install:
	dh_auto_install -O--buildsystem=python_distutils

	# Activates the neutron_lbaas_dashboard plugin in Horizon
	# neutron_lbaas_dashboard/enabled/_14*
	mkdir -p $(CURDIR)/debian/python-neutron-lbaas-dashboard/usr/lib/python2.7/dist-packages/openstack_dashboard/enabled ; \
	mkdir -p $(CURDIR)/debian/python-neutron-lbaas-dashboard/usr/share/openstack-dashboard/openstack_dashboard/enabled
	cp $(CURDIR)/neutron_lbaas_dashboard/enabled/_14* $(CURDIR)/debian/python-neutron-lbaas-dashboard/usr/lib/python2.7/dist-packages/openstack_dashboard/enabled ; \
	cp $(CURDIR)/neutron_lbaas_dashboard/enabled/_14* $(CURDIR)/debian/python-neutron-lbaas-dashboard/usr/share/openstack-dashboard/openstack_dashboard/enabled ; \

	# Copy static files
	mkdir -p $(CURDIR)/debian/python-neutron-lbaas-dashboard/usr/share/openstack-dashboard/openstack_dashboard/static
	cp -auxf neutron_lbaas_dashboard/static/dashboard/project/lbaasv2 $(CURDIR)/debian/python-neutron-lbaas-dashboard/usr/share/openstack-dashboard/openstack_dashboard/static

## neutron-lbaas-dashboard 4.0.0

=== requirements.txt ===
# The order of packages is significant, because pip processes them in the order
# of appearance. Changing the order has an impact on the overall integration
# process, which may cause wedges in the gate later.

oslo.log>=3.36.0 # Apache-2.0
pbr!=2.1.0,>=2.0.0 # Apache-2.0
Babel!=2.4.0,>=2.3.4 # BSD
python-barbicanclient!=4.5.0,!=4.5.1,>=4.0.0 # Apache-2.0

=== doc/requirements.txt ===
# The order of packages is significant, because pip processes them in the order
# of appearance. Changing the order has an impact on the overall integration
# process, which may cause wedges in the gate later.
openstackdocstheme>=1.18.1 # Apache-2.0
sphinx!=1.6.6,>=1.6.2 # BSD

## neutron-lbaas-dashboard 3.0.1

=== debian/changelog ===
neutron-lbaas-dashboard (3.0.1-0ubuntu1) artful; urgency=medium

  * New upstream release for OpenStack Pike.

 -- James Page <james.page@ubuntu.com>  Thu, 31 Aug 2017 08:56:36 +0100

neutron-lbaas-dashboard (3.0.0~rc1-0ubuntu1) artful; urgency=medium

  [ James Page ]
  * d/rules: Only install _1481_project_ng_loadbalancersv2_panel.py,
    avoiding duplicate LBaaS panels inline with upstream installation
    documentation (LP: #1709604).
  * New upstream milestone for OpenStack Pike.

  [ Corey Bryant ]
  * New upstream release candidate for OpenStack Pike.
  * d/control: Align (Build-)Depends with upstream.
  * d/p/use-action-present-past.patch: Cherry-pick patch from gerrit to
    fix failing tests.

 -- Corey Bryant <corey.bryant@canonical.com>  Fri, 18 Aug 2017 16:01:15 -0400

neutron-lbaas-dashboard (3.0.0~b1-0ubuntu1) artful; urgency=medium

  * New upstream milestone for OpenStack Pike.
  * Align (Build-)Depends with upstream milestone.
  * d/python-neutron-lbaas-dashboard.postinst: Tidy, switch to using
    horizon user instead of www-data.

 -- James Page <james.page@ubuntu.com>  Wed, 10 May 2017 12:10:14 -0400

=== debian/control ===
Source: neutron-lbaas-dashboard
Section: python
Priority: extra
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
Uploaders: Corey Bryant <corey.bryant@canonical.com>,
Build-Depends: debhelper (>= 9),
               dh-python,
               openstack-pkg-tools (>= 53~),
               python-all,
               python-pbr (>= 2.0.0),
               python-setuptools,
               python-sphinx (>= 1.5.1),
Build-Depends-Indep: openstack-dashboard (>= 3:12.0.0~),
                     python-babel (>= 2.3.4),
                     python-coverage (>= 4.0),
                     python-barbicanclient (>= 4.0.0),
                     python-ddt (>= 1.0.1),
                     python-django (>= 1.8),
                     python-django-compressor (>= 2.0),
                     python-django-nose (>= 1.4.4),
                     python-django-openstack-auth (>= 2.4.0),
                     python-hacking (>= 0.12.0),
                     python-mock (>= 2.0),
                     python-mox (>= 0.5.3),
                     python-mox3 (>= 0.7.0),
                     python-nose,
                     python-nose-exclude,
                     python-nosehtmloutput (>= 0.0.3),
                     python-nosexcover,
                     python-openstack.nose-plugin (>= 0.7),
                     python-oslo.config (>= 1:3.22.0),
                     python-oslosphinx (>= 4.7.0),
                     python-oslotest (>= 1:1.10.0),
                     python-selenium (>= 2.50.1),
                     python-testscenarios (>= 0.4),
                     python-testtools (>= 1.4.0),
                     python-unittest2,
                     python-xvfbwrapper (>= 0.1.3),
                     testrepository
Standards-Version: 3.9.8
Vcs-Browser: https://git.launchpad.net/~ubuntu-server-dev/ubuntu/+source/neutron-lbaas-dashboard
Vcs-Git: git://git.launchpad.net/~ubuntu-server-dev/ubuntu/+source/neutron-lbaas-dashboard
Homepage: https://github.com/openstack/neutron-lbaas-dashboard

Package: python-neutron-lbaas-dashboard
Architecture: all
Depends: openstack-dashboard (>= 3:12.0.0~),
         python-babel (>= 2.3.4),
         python-barbicanclient (>= 4.0.0),
         python-pbr (>= 2.0.0),
         python-pkg-resources,
         ${misc:Depends},
         ${python:Depends}
Description: Loadbalancer-as-a-Service driver for OpenStack Neutron
 Neutron is a virtual network service for Openstack, and a part of
 Netstack. Just like OpenStack Nova provides an API to dynamically
 request and configure virtual servers, Neutron provides an API to
 dynamically request and configure virtual networks. These networks
 connect "interfaces" from other OpenStack services (e.g., virtual NICs
 from Nova VMs). The Neutron API supports extensions to provide
 advanced network capabilities (e.g., QoS, ACLs, network monitoring,
 etc.)
 .
 This package contains the OpenStack dashboard plugin.

=== debian/watch ===
version=3
opts="uversionmangle=s/\.([a-zA-Z])/~$1/;s/%7E/~/;s/\.0b/~b/;s/\.0rc/~rc/" \
 http://tarballs.openstack.org/neutron-lbaas-dashboard neutron-lbaas-dashboard-(\d.*)\.tar\.gz

## neutron-lbaas-dashboard 4.0.0

=== debian/changelog ===
neutron-lbaas-dashboard (4.0.0-0ubuntu1) bionic; urgency=medium

  * New upstream release for OpenStack Queens.

 -- James Page <james.page@ubuntu.com>  Wed, 28 Feb 2018 16:55:39 +0000

neutron-lbaas-dashboard (4.0.0~rc1-0ubuntu1) bionic; urgency=medium

  * New upstream milestone for OpenStack Queens.
  * d/control: Align (Build-)Depends with upstream.

 -- James Page <james.page@ubuntu.com>  Mon, 12 Feb 2018 17:54:12 +0000

neutron-lbaas-dashboard (4.0.0~b3-0ubuntu1) bionic; urgency=medium

  * New upstream milestone for OpenStack Queens.
  * d/watch: Scope to Queens series.
  * d/control: Align (Build-)Depends with upstream.

 -- Corey Bryant <corey.bryant@canonical.com>  Fri, 26 Jan 2018 14:15:08 -0500

neutron-lbaas-dashboard (4.0.0~b2-0ubuntu1) bionic; urgency=medium

  * New upstream milestone for OpenStack Queens.
  * d/control: Align (Build-)Depends with upstream.
  * d/*: wrap-and-sort -bast.
  * d/control: Bump minimum debhelper version to 10.
  * d/control: Bumped Standards-Version to 4.1.2.

 -- James Page <james.page@ubuntu.com>  Tue, 12 Dec 2017 11:45:41 +0000

neutron-lbaas-dashboard (4.0.0~b1-0ubuntu1) bionic; urgency=medium

  * New upstream milestone for OpenStack Queens.
  * d/control: Align (Build-)Depends with upstream.
  * d/p/use-action-present-past.patch: Dropped, no longer needed.

 -- James Page <james.page@ubuntu.com>  Thu, 16 Nov 2017 17:55:45 +0000

=== debian/control ===
Source: neutron-lbaas-dashboard
Section: python
Priority: extra
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
Uploaders:
 Corey Bryant <corey.bryant@canonical.com>,
Build-Depends:
 debhelper (>= 10~),
 dh-python,
 openstack-pkg-tools (>= 53~),
 python-all,
 python-pbr (>= 2.0.0),
 python-setuptools,
 python3-sphinx (>= 1.6.2),
Build-Depends-Indep:
 openstack-dashboard (>= 3:13.0.0~),
 python-babel (>= 2.3.4),
 python-barbicanclient (>= 4.0.0),
 python-coverage (>= 4.0),
 python-ddt (>= 1.0.1),
 python-django (>= 1.8),
 python-django-compressor (>= 2.0),
 python-django-nose (>= 1.4.4),
 python-django-openstack-auth (>= 2.4.0),
 python-hacking (>= 0.12.0),
 python-mock (>= 2.0.0),
 python-mox (>= 0.5.3),
 python-mox3 (>= 0.7.0),
 python-nose,
 python-nose-exclude (>= 0.3.0),
 python-nosehtmloutput (>= 0.0.3),
 python-nosexcover,
 python-openstack.nose-plugin (>= 0.7),
 python-openstackdocstheme (>= 1.18.1),
 python-oslo.config (>= 1:5.1.0),
 python-oslo.log (>= 3.36.0),
 python-oslosphinx (>= 4.7.0),
 python-oslotest (>= 1:3.2.0),
 python-selenium (>= 2.50.1),
 python-subunit (>= 1.0.0),
 python-testrepository (>= 0.0.18),
 python-testscenarios (>= 0.4),
 python-testtools (>= 2.2.0),
 python-unittest2,
 python-xvfbwrapper (>= 0.1.3),
 testrepository,
Standards-Version: 4.1.2
Vcs-Browser: https://git.launchpad.net/~ubuntu-server-dev/ubuntu/+source/neutron-lbaas-dashboard
Vcs-Git: git://git.launchpad.net/~ubuntu-server-dev/ubuntu/+source/neutron-lbaas-dashboard
Homepage: https://github.com/openstack/neutron-lbaas-dashboard

Package: python-neutron-lbaas-dashboard
Architecture: all
Depends:
 openstack-dashboard (>= 3:12.0.0~),
 python-babel (>= 2.3.4),
 python-barbicanclient (>= 4.0.0),
 python-oslo.log (>= 3.36.0),
 python-pbr (>= 2.0.0),
 python-pkg-resources,
 ${misc:Depends},
 ${python:Depends},
Description: Loadbalancer-as-a-Service driver for OpenStack Neutron
 Neutron is a virtual network service for Openstack, and a part of
 Netstack. Just like OpenStack Nova provides an API to dynamically
 request and configure virtual servers, Neutron provides an API to
 dynamically request and configure virtual networks. These networks
 connect "interfaces" from other OpenStack services (e.g., virtual NICs
 from Nova VMs). The Neutron API supports extensions to provide
 advanced network capabilities (e.g., QoS, ACLs, network monitoring,
 etc.)
 .
 This package contains the OpenStack dashboard plugin.

=== debian/rules ===
--- 
+++ 
@@ -25,11 +25,13 @@
 	dh_auto_install -O--buildsystem=python_distutils
 
 	# Activates the neutron_lbaas_dashboard plugin in Horizon
-	# neutron_lbaas_dashboard/enabled/_14*
-	mkdir -p $(CURDIR)/debian/python-neutron-lbaas-dashboard/usr/lib/python2.7/dist-packages/openstack_dashboard/enabled ; \
+	# neutron_lbaas_dashboard/enabled/_1481_project_ng_loadbalancersv2_panel.py
+	mkdir -p $(CURDIR)/debian/python-neutron-lbaas-dashboard/usr/lib/python2.7/dist-packages/openstack_dashboard/enabled
 	mkdir -p $(CURDIR)/debian/python-neutron-lbaas-dashboard/usr/share/openstack-dashboard/openstack_dashboard/enabled
-	cp $(CURDIR)/neutron_lbaas_dashboard/enabled/_14* $(CURDIR)/debian/python-neutron-lbaas-dashboard/usr/lib/python2.7/dist-packages/openstack_dashboard/enabled ; \
-	cp $(CURDIR)/neutron_lbaas_dashboard/enabled/_14* $(CURDIR)/debian/python-neutron-lbaas-dashboard/usr/share/openstack-dashboard/openstack_dashboard/enabled ; \
+	cp $(CURDIR)/neutron_lbaas_dashboard/enabled/_1481_project_ng_loadbalancersv2_panel.py \
+		 $(CURDIR)/debian/python-neutron-lbaas-dashboard/usr/lib/python2.7/dist-packages/openstack_dashboard/enabled
+	cp $(CURDIR)/neutron_lbaas_dashboard/enabled/_1481_project_ng_loadbalancersv2_panel.py \
+		 $(CURDIR)/debian/python-neutron-lbaas-dashboard/usr/share/openstack-dashboard/openstack_dashboard/enabled
 
 	# Copy static files
 	mkdir -p $(CURDIR)/debian/python-neutron-lbaas-dashboard/usr/share/openstack-dashboard/openstack_dashboard/static

=== debian/watch ===
version=3
opts="uversionmangle=s/\.([a-zA-Z])/~$1/;s/%7E/~/;s/\.0b/~b/;s/\.0rc/~rc/" \
 http://tarballs.openstack.org/neutron-lbaas-dashboard neutron-lbaas-dashboard-(4\.\d.*)\.tar\.gz

## neutron-lbaas-dashboard 5.0.0

=== requirements.txt ===
# The order of packages is significant, because pip processes them in the order
# of appearance. Changing the order has an impact on the overall integration
# process, which may cause wedges in the gate later.

horizon>=13.0.0 # Apache-2.0
oslo.log>=3.36.0 # Apache-2.0
pbr!=2.1.0,>=2.0.0 # Apache-2.0
Babel!=2.4.0,>=2.3.4 # BSD
python-barbicanclient>=4.5.2 # Apache-2.0

=== debian/changelog ===
neutron-lbaas-dashboard (5.0.0-0ubuntu1) cosmic; urgency=medium

  * New upstream release for OpenStack Rocky.

 -- Corey Bryant <corey.bryant@canonical.com>  Thu, 30 Aug 2018 13:35:20 -0400

neutron-lbaas-dashboard (5.0.0~rc2-0ubuntu1) cosmic; urgency=medium

  * New upstream release candidate for OpenStack Rocky.
  * d/p/update-test-settings.patch: Dropped. No longer needed.

 -- Corey Bryant <corey.bryant@canonical.com>  Thu, 23 Aug 2018 14:05:47 -0400

neutron-lbaas-dashboard (5.0.0~b1-0ubuntu3) cosmic; urgency=medium

  * d/control: Bump min version of python(3)-django-horizon.
  * d/control: Drop python(3)-neutron-lbaas-dashboard conflicts to align with
    other dashboards.

 -- Corey Bryant <corey.bryant@canonical.com>  Thu, 12 Jul 2018 11:30:13 -0400

neutron-lbaas-dashboard (5.0.0~b1-0ubuntu2) cosmic; urgency=medium

  * Add support for Python 3:
    - d/control: Add Py3 BDs and python3-neutron-lbaas-dashboard package.
    - d/control: Make python(3)-neutron-lbaas-dashboard conflict against each
      other.
    - d/rules: Add Py3 support.
    - python(3)-neutron-lbaas-dashboard.postinst: Added py3 postinst script
      and updated both scripts to ensure proper python binary is used when
      collecting/compressing static assets.
  * d/rules: Drop copy of static files to /usr/share/openstack-
    dashboard/openstack_dashboard/static. Static files are already collected
    from /usr/lib/python3/dist-packages/neutron_lbaas_dashboard/static/.
  * d/rules: Drop dup cp of dashboard. python-django-horizon uses update-
    alternatives to point /usr/share/openstack-dashboard/openstack_dashboard
    at /usr/lib/python*/dist-packages/openstack_dashboard.

 -- Corey Bryant <corey.bryant@canonical.com>  Mon, 09 Jul 2018 18:36:44 -0400

neutron-lbaas-dashboard (5.0.0~b1-0ubuntu1) cosmic; urgency=medium

  * d/watch: Scope to 5.x series.
  * New upstream milestone for OpenStack Rocky.
  * d/control: Align (Build-)Depends with upstream.
  * d/control: Update Standards-Version to 4.1.4.
  * d/control: Enable autopkgtest-pkg-python testsuite.

 -- Corey Bryant <corey.bryant@canonical.com>  Thu, 31 May 2018 14:35:32 -0400

=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/openstack-pkg-tools/pkgos.make

%:
	dh $@ --buildsystem=python_distutils --with python2,python3

override_dh_auto_test:
ifeq (,$(filter nocheck,$(DEB_BUILD_OPTIONS)))
	PYTHONPATH=$(CURDIR) \
		TEMPLATE_CONTEXT_PROCESSORS=None \
		NOSE_WITH_OPENSTACK=1 \
		NOSE_OPENSTACK_COLOR=1 \
		NOSE_OPENSTACK_RED=0.05 \
		NOSE_OPENSTACK_YELLOW=0.025 \
		DJANGO_SETTINGS_MODULE=neutron_lbaas_dashboard.tests.settings \
		python $(CURDIR)/manage.py test
	PYTHONPATH=$(CURDIR) \
		TEMPLATE_CONTEXT_PROCESSORS=None \
		NOSE_WITH_OPENSTACK=1 \
		NOSE_OPENSTACK_COLOR=1 \
		NOSE_OPENSTACK_RED=0.05 \
		NOSE_OPENSTACK_YELLOW=0.025 \
		DJANGO_SETTINGS_MODULE=neutron_lbaas_dashboard.tests.settings \
		python3 $(CURDIR)/manage.py test
endif

override_dh_clean:
	dh_clean -O--buildsystem=python_distutils
	rm -rf .coverage*

override_dh_auto_install:
	pkgos-dh_auto_install

	# Activates the neutron_lbaas_dashboard plugin in Horizon - Python 2
	# neutron_lbaas_dashboard/enabled/_1481_project_ng_loadbalancersv2_panel.py
	mkdir -p $(CURDIR)/debian/python-neutron-lbaas-dashboard/usr/lib/python2.7/dist-packages/openstack_dashboard/enabled
	cp $(CURDIR)/neutron_lbaas_dashboard/enabled/_1481_project_ng_loadbalancersv2_panel.py \
		 $(CURDIR)/debian/python-neutron-lbaas-dashboard/usr/lib/python2.7/dist-packages/openstack_dashboard/enabled

	# Activates the neutron_lbaas_dashboard plugin in Horizon - Python 3
	# neutron_lbaas_dashboard/enabled/_1481_project_ng_loadbalancersv2_panel.py
	mkdir -p $(CURDIR)/debian/python3-neutron-lbaas-dashboard/usr/lib/python3/dist-packages/openstack_dashboard/enabled
	cp $(CURDIR)/neutron_lbaas_dashboard/enabled/_1481_project_ng_loadbalancersv2_panel.py \
		 $(CURDIR)/debian/python3-neutron-lbaas-dashboard/usr/lib/python3/dist-packages/openstack_dashboard/enabled

=== debian/watch ===
version=3
opts="uversionmangle=s/\.([a-zA-Z])/~$1/;s/%7E/~/;s/\.0b/~b/;s/\.0rc/~rc/" \
 http://tarballs.openstack.org/neutron-lbaas-dashboard neutron-lbaas-dashboard-(5\.\d.*)\.tar\.gz

## neutron-lbaas-dashboard 6.0.0

=== debian/changelog ===
neutron-lbaas-dashboard (6.0.0-0ubuntu1) disco; urgency=medium

  * New upstream release for OpenStack Stein.

 -- James Page <james.page@ubuntu.com>  Fri, 12 Apr 2019 10:00:28 +0100

neutron-lbaas-dashboard (6.0.0~rc1-0ubuntu1) disco; urgency=medium

  * d/watch: track 6.x series.
  * New upstream release candidate for OpenStack Stein.

 -- James Page <james.page@ubuntu.com>  Fri, 22 Mar 2019 14:09:27 +0000

neutron-lbaas-dashboard (6.0.0~b1~git2019031935.8630dfe-0ubuntu1) disco; urgency=medium

  * New upstream snapshot for OpenStack Stein.

 -- James Page <james.page@ubuntu.com>  Tue, 19 Mar 2019 11:17:34 +0000

neutron-lbaas-dashboard (6.0.0~b1~git2019013120.ba14bba-0ubuntu1) disco; urgency=medium

  * New upstream snapshot for OpenStack Stein.
  * d/control,rules,python*: Drop Python 2 support.

 -- Corey Bryant <corey.bryant@canonical.com>  Fri, 01 Feb 2019 09:09:07 -0500

=== debian/control ===
Source: neutron-lbaas-dashboard
Section: python
Priority: extra
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
Uploaders:
 Corey Bryant <corey.bryant@canonical.com>,
Build-Depends:
 debhelper (>= 10~),
 dh-python,
 openstack-pkg-tools (>= 85ubuntu3~),
 python-all,
 python-pbr (>= 2.0.0),
 python-setuptools,
 python3-all,
 python3-pbr (>= 2.0.0),
 python3-setuptools,
 python3-sphinx (>= 1.6.2),
Build-Depends-Indep:
 openstack-dashboard (>= 3:14.0.0~),
 python3-babel (>= 2.3.4),
 python3-barbicanclient (>= 4.5.2),
 python3-coverage (>= 4.0),
 python3-ddt (>= 1.0.1),
 python3-django (>= 1.8),
 python3-django-compressor (>= 2.0),
 python3-django-horizon (>= 3:14.0.0~),
 python3-django-nose (>= 1.4.4),
 python3-django-openstack-auth (>= 2.4.0),
 python3-hacking (>= 0.12.0),
 python3-mock (>= 2.0.0),
 python3-mox3 (>= 0.7.0),
 python3-nose,
 python3-nose-exclude (>= 0.3.0),
 python3-nosehtmloutput (>= 0.0.3),
 python3-nosexcover,
 python3-openstack.nose-plugin (>= 0.7),
 python3-openstackdocstheme (>= 1.18.1),
 python3-oslo.config (>= 1:5.1.0),
 python3-oslo.log (>= 3.36.0),
 python3-oslosphinx (>= 4.7.0),
 python3-oslotest (>= 1:3.2.0),
 python3-selenium (>= 2.50.1),
 python3-subunit (>= 1.0.0),
 python3-testrepository (>= 0.0.18),
 python3-testscenarios (>= 0.4),
 python3-testtools (>= 2.2.0),
 python3-unittest2,
 python3-xvfbwrapper (>= 0.1.3),
 testrepository,
Standards-Version: 4.1.4
Vcs-Browser: https://git.launchpad.net/~ubuntu-server-dev/ubuntu/+source/neutron-lbaas-dashboard
Vcs-Git: https://git.launchpad.net/~ubuntu-server-dev/ubuntu/+source/neutron-lbaas-dashboard
Homepage: https://github.com/openstack/neutron-lbaas-dashboard
Testsuite: autopkgtest-pkg-python

Package: python3-neutron-lbaas-dashboard
Architecture: all
Depends:
 openstack-dashboard (>= 3:14.0.0~),
 python3-babel (>= 2.3.4),
 python3-barbicanclient (>= 4.5.2),
 python3-django-horizon (>= 3:14.0.0~),
 python3-oslo.log (>= 3.36.0),
 python3-pbr (>= 2.0.0),
 python3-pkg-resources,
 ${misc:Depends},
 ${python3:Depends},
Description: Loadbalancer-as-a-Service driver for OpenStack Neutron - Python 3
 Neutron is a virtual network service for Openstack, and a part of
 Netstack. Just like OpenStack Nova provides an API to dynamically
 request and configure virtual servers, Neutron provides an API to
 dynamically request and configure virtual networks. These networks
 connect "interfaces" from other OpenStack services (e.g., virtual NICs
 from Nova VMs). The Neutron API supports extensions to provide
 advanced network capabilities (e.g., QoS, ACLs, network monitoring,
 etc.)
 .
 This package contains the Python 3 OpenStack dashboard plugin.

=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/openstack-pkg-tools/pkgos.make

%:
	dh $@ --buildsystem=python_distutils --with python3

override_dh_auto_test:
ifeq (,$(filter nocheck,$(DEB_BUILD_OPTIONS)))
	PYTHONPATH=$(CURDIR) \
		TEMPLATE_CONTEXT_PROCESSORS=None \
		NOSE_WITH_OPENSTACK=1 \
		NOSE_OPENSTACK_COLOR=1 \
		NOSE_OPENSTACK_RED=0.05 \
		NOSE_OPENSTACK_YELLOW=0.025 \
		DJANGO_SETTINGS_MODULE=neutron_lbaas_dashboard.tests.settings \
		python3 $(CURDIR)/manage.py test
endif

override_dh_clean:
	dh_clean -O--buildsystem=python_distutils
	rm -rf .coverage*

override_dh_auto_install:
	pkgos-dh_auto_install --no-py2

	# Activates the neutron_lbaas_dashboard plugin in Horizon - Python 3
	# neutron_lbaas_dashboard/enabled/_1481_project_ng_loadbalancersv2_panel.py
	mkdir -p $(CURDIR)/debian/python3-neutron-lbaas-dashboard/usr/lib/python3/dist-packages/openstack_dashboard/enabled
	cp $(CURDIR)/neutron_lbaas_dashboard/enabled/_1481_project_ng_loadbalancersv2_panel.py \
		 $(CURDIR)/debian/python3-neutron-lbaas-dashboard/usr/lib/python3/dist-packages/openstack_dashboard/enabled

=== debian/watch ===
version=3
opts="uversionmangle=s/\.([a-zA-Z])/~$1/;s/%7E/~/;s/\.0b/~b/;s/\.0rc/~rc/" \
 http://tarballs.openstack.org/neutron-lbaas-dashboard neutron-lbaas-dashboard-(6\.\d.*)\.tar\.gz
